org.apache.lucene.util

## Interface Accountable

- All Known Implementing Classes:
    Automaton, BitDocIdSet, BitSet, BKDReader, BlockPackedReader, BlockTreeTermsReader, CodecReader, CompressingStoredFieldsIndexReader, CompressingStoredFieldsReader, CompressingTermVectorsReader, DirectMonotonicReader.Meta, DocIdSet, DocValuesProducer, EmptyDocValuesProducer, FieldReader, FieldsProducer, FilterCodecReader, FixedBitSet, FrequencyTrackingRingBuffer, FST, GrowableWriter, IndexWriter, LRUQueryCache, Lucene50PostingsReader, Lucene60PointsReader, MonotonicBlockPackedReader, NormsProducer, NotDocIdSet, NRTCachingDirectory, OrdinalMap, PackedInts.Mutable, PackedInts.NullReader, PackedInts.Reader, PackedLongValues, PackedLongValues.Builder, PagedBytes, PagedBytes.Reader, PagedGrowableWriter, PagedMutable, PointsReader, PostingsReaderBase, PrefixCodedTerms, RAMDirectory, RAMFile, RAMOutputStream, RoaringDocIdSet, SegmentReader, SparseFixedBitSet, StoredFieldsReader, TermInSetQuery, TermVectorsReader

      public interface Accountable

  An object whose RAM usage can be computed.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.

- - ### Method Detail

    - #### ramBytesUsed

          long ramBytesUsed()

      Return the memory usage of this object in bytes. Negative values are illegal.

    - #### getChildResources

          default Collection<Accountable> getChildResources()

      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      See Also:
        `Accountables`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.